Skip to main content
GET
/
v1
/
issuing
/
cardholders
/
{id}
Retrieve Cardholder
curl --request GET \
  --url https://api-sandbox.uqpaytech.com/api/v1/issuing/cardholders/{id} \
  --header 'x-auth-token: <api-key>'
{
  "cardholder_id": "7c4ff2cd-1bf6-4aaa-bf16-266771425011",
  "email": "demo@example.com",
  "number_of_cards": 1,
  "first_name": "Emily",
  "last_name": "Toy",
  "create_time": "2024-05-09 15:52:23",
  "cardholder_status": "SUCCESS",
  "date_of_birth": "1990-01-01",
  "country_code": "SG",
  "phone_number": "86683306",
  "gender": "MALE",
  "nationality": "SG",
  "residential_address": {
    "country": "SG",
    "city": "Singapore",
    "line1": "9 N Buona Vista Dr",
    "state": "Singapore",
    "district": "Buona Vista",
    "line2": "THE METROPOLIS",
    "line_en": "9 N Buona Vista Dr, THE METROPOLIS",
    "postal_code": "138666"
  },
  "review_status": "SUCCESS",
  "idv_status": "PENDING",
  "idv_verification_url": "https://idv.sumsub.com/verify/abc123",
  "idv_url_expires_at": "2026-04-10T10:00:00+08:00"
}

Authorizations

x-auth-token
string
header
required

The API token for login provided by UQPay.

Headers

x-on-behalf-of
string

Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts. If omitted or empty, the request is executed using the master account. More information at Connected Accounts.

Path Parameters

id
string<uuid>
required

Universally unique identifier (UUID v4) of a resource.

Example:

"71fdb0fe-9682-457a-9361-e8868694f12f"

Response

OK - Successfully retrieved a cardholders.

cardholder_id
string<uuid>

The cardholder’s unique identifier.

Example:

"7c4ff2cd-1bf6-4aaa-bf16-266771425011"

email
string

The cardholder’s email address.

Example:

"demo@example.com"

number_of_cards
integer

The total number of cards associated with the cardholder, including all statuses.

Example:

1

first_name
string

The first name of this cardholder. Required before activating Cards. This field cannot contain any numbers, special characters (except periods, commas, hyphens, spaces and apostrophes) or non-latin letters.

Example:

"Emily"

last_name
string

The last name of this cardholder. Required before activating Cards. This field cannot contain any numbers, special characters (except periods, commas, hyphens, spaces and apostrophes) or non-latin letters.

Example:

"Toy"

create_time
string

Time at which the object was created.

Example:

"2024-05-09 15:52:23"

cardholder_status
enum<string>
default:SUCCESS

The cardholder's status.

Available options:
FAILED,
PENDING,
SUCCESS,
INCOMPLETE
date_of_birth
string

The cardholder's birth date with yyyy-mm-dd format.

Example:

"1990-01-01"

country_code
string

Two-letter country code ISO 3166-1 alpha-2.

Maximum string length: 2
Example:

"SG"

phone_number
string

The cardholder’s phone number.

See [Phone Number Validation Rules For Cardholder](/card-issuance/v1.6/guide/Phone Number Validation Rules for Cardholder) for length validation details.

Example:

"86683306"

gender
enum<string>

The cardholder's gender.

  • MALE - Male.
  • FEMALE - Female.
Available options:
MALE,
FEMALE
Example:

"MALE"

nationality
string

The cardholder's nationality in ISO 3166-1 alpha-2 format. Required for STANDARD and ENHANCED KYC levels.

Required string length: 2
Example:

"SG"

residential_address
object

The cardholder’s residential address.

review_status
enum<string>

The review status of the cardholder.

Available options:
SUCCESS,
FAILED,
PENDING
Example:

"SUCCESS"

idv_status
enum<string>

IDV verification status. Returned when applicable.

  • PENDING - IDV pending.
  • PASSED - IDV passed.
  • FAILED - IDV failed.
Available options:
PENDING,
PASSED,
FAILED
idv_verification_url
string

IDV verification URL. Returned when applicable.

Example:

"https://idv.sumsub.com/verify/abc123"

idv_url_expires_at
string

IDV verification URL expiration time in RFC 3339 format.

Example:

"2026-04-10T10:00:00+08:00"